cisco 2811 + Voice + Firewall

Unanswered Question
Feb 16th, 2008


i have a cisco 2811 with ios Version 12.4(13r)T. i used this router for voice gateway. now i have added another ethernet card into this router,and i would ask if there is a ios version that have a both functionality ( voice + firewall.).

thanks in advance


I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
JORGE RODRIGUEZ Sat, 02/16/2008 - 16:01

Upsolutely, go to software advisory tools.

1- find software with features needed

2- choose platform

3- in right hand windows select Voice features you need in addition for Firewall feature set

4- Once you select an IOS and proceed to nex window you can view complete IOS features in detail to ensure all features you need are supported in the code.



buchholr Sun, 02/17/2008 - 14:15


Most likely router was shipped with SP services, but it may have just the voice feature set. Either one has the same solution. Changing the IOS version is accomplished by ordering:

28N-SW-SPARECD - Cisco 28N Series Software Spare CD

with sub-item:


This will bring you up to Advanced IP services which has both voice and security features.

Be aware that this recommendation is based on the information provided. To ensure that you get the right IOS, I would recommend that you work with a Cisco partner and provide them a show inventory from your router to ensure the IOS chosen will support all of your cards.


buchholr Tue, 02/19/2008 - 08:21

Your show version indicates that you have Service Provider services. You don't seem to have any special cards that would require a special release train, so Advanced IP Services would most likely work. Here is a link to a chart in Figure 1 that provides a good overview of which IOS feature sets do what.



This Discussion